Bug 610091 - pulp repo create --help , some options start with capital letter while others don't. needs to be uniform
pulp repo create --help , some options start with capital letter while others...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Todd Sanders
Preethi Thomas
: QA-Closed, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 10:42 EDT by Preethi Thomas
Modified: 2011-07-15 15:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 12:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-07-01 10:42:15 EDT
Description of problem:


root@preethi pulp]# pulp repo create --help
Usage: pulp repo create [OPTIONS]

Options:
  -h, --help           show this help message and exit
  --label=LABEL        Repository Label
  --name=NAME          common repository name
  --arch=ARCH          package arch the repo should support.
  --feed=FEED          Url feed to populate the repo
  --schedule=SCHEDULE  Schedule for automatically synchronizing the repository
  --symlinks           Use symlinks instead of copying bits locally.
                       Applicable for local syncs
Comment 2 Shveta 2010-08-18 06:53:43 EDT
[root@fedora12g2 ~]# pulp-admin -u admin -p admin repo create --help
Usage: pulp-admin -u <username> -p <password> repo create [OPTIONS]


Options:
  -h, --help            show this help message and exit
  --id=ID               Repository Id
  --name=NAME           Common repository name
  --arch=ARCH           Package arch the repo should support.
  --feed=FEED           Url feed to populate the repo
  --cacert=CACERT       Path location to CA Certificate.
  --cert=CERT           Path location to Entitlement Certificate.
  --key=KEY             Path location to Entitlement Cert Key.
  --schedule=SCHEDULE   Schedule for automatically synchronizing the
                        repository
  --symlinks            Use symlinks instead of copying bits locally.
                        Applicable for local syncs
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.
Comment 3 Preethi Thomas 2010-08-18 09:07:38 EDT
fails_qa
This is not fixed
[root@preethi ~]# pulp-admin package
usage: pulp-admin -u <username> -p <password> package [OPTIONS]
Supported Actions:
	info           lookup information for a package
	install        Schedule a package Install


[root@preethi ~]# pulp-admin package info --help
Usage: pulp-admin -u <username> -p <password> package info [OPTIONS]


Options:
  -h, --help            show this help message and exit
  -n NAME, --name=NAME  package name to lookup
  --repoid=REPOID       Repository Label
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.
Comment 4 Pradeep Kilambi 2010-08-18 09:14:08 EDT
Please only verify ON_QA bugs. This was still in modified. Which means its not ready for QA yet. On going cli efforts will keep chnaging the client.
Comment 5 Jay Dobies 2010-10-15 08:24:11 EDT
Fixed in the 0.73 release.
Comment 6 Preethi Thomas 2010-10-18 12:25:48 EDT
verified
[root@preethi ~]# pulp-admin package info --help
Usage: pulp-admin <options> package info <options>

Options:
  -h, --help            show this help message and exit
  -n NAME, --name=NAME  package name to lookup (required)
  --repoid=REPOID       repository label (required)
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin package install --help
Usage: pulp-admin <options> package install <options>

Options:
  -h, --help            show this help message and exit
  -n PNAMES, --name=PNAMES
                        packages to be installed; to specify multiple packages
                        use multiple -n

  Consumer or Consumer Group id (one is required:
    --consumerid=CONSUMERID
                        consumer id
    --consumergroupid=CONSUMERGROUPID
                        consumer group id


[root@preethi ~]# pulp-admin consumergroup --help
Usage: pulp-admin <options> consumergroup <action> <options>
Supported Actions:
	list           list available consumer groups
	create         create a consumer group  
	delete         delete the consumer group
	add_consumer   add a consumer to a consumer group
	delete_consumer delete a consumer from a consumer group
	bind           bind the consumer group to listed repos
	unbind         unbind the consumer group from repos
	add_keyvalue   add key-value information to consumer group
	delete_keyvalue delete key-value information from consumer group
	update_keyvalue update key-value information in consumer group

Options:
  -h, --help  show this help message and exit

[root@preethi ~]# pulp-admin consumer --help
Usage: pulp-admin <options> consumer <action> <options>
Supported Actions:
	list           list all known consumers 
	info           list of accessible consumer info
	create         create a consumer        
	delete         delete the consumer      
	update         update consumer profile  
	bind           bind the consumer to listed repos
	unbind         unbind the consumer from repos
	add_keyvalue   add key-value information to consumer
	delete_keyvalue delete key-value information from consumer
	update_keyvalue update key-value information of a consumer
	get_keyvalues  get key-value attributes for given consumer
	history        view the consumer history

[root@preethi ~]# pulp-admin repo
Usage: pulp-admin <options> repo <action> <options>
Supported Actions:
	list           list available repositories
	status         show the status of a repository
	content        list the contents of a repository
	create         create a repository      
	delete         delete a repository      
	update         update a repository      
	sync           synchronize data to a repository from its feed
	cancel_sync    cancel a running sync    
	upload         upload package(s) to a repository
	schedules      list all repository schedules

[root@preethi ~]# pulp-admin errata
Usage: pulp-admin <options> errata <action> <options>
Supported Actions:
	list           list applicable errata   
	info           see details on a specific errata
	install        install errata on a consumer

pulp-admin: error: no action given: please see --help
[root@preethi ~]# pulp-admin packagegroup
Usage: pulp-admin <options> packagegroup <action> <options>
Supported Actions:
	list           list available package groups
	info           lookup information for a package group
	create         create a package group   
	delete         delete a package group   
	add_package    add package to an existing package group
	delete_package delete package from an existing package group
	install        schedule a packagegroup install

pulp-admin: error: no action given: please see --help
Comment 7 Preethi Thomas 2010-10-20 12:11:25 EDT
Closed after review.

Note You need to log in before you can comment on or make changes to this bug.